CoCoA-5 - Bug #1191

ApproxSolve: log(0) on some examples
19 Jun 2018 16:15 - John Abbott

Status: Closed Start date: 19 Jun 2018
Priority: High Due date:

Assignee: John Abbott % Done: 100%
Category: bug Estimated time: 0.77 hour
Target version: CoCoA-5.2.4 Spent time: 0.80 hour
Description

The following input attempts to compute log(0).

use QQ[x,y,z];
L = [y"3 +x*z72, 2*x"2*y —-4*x*z"2 +3*x*y, 2*x"3 +x"2*y -2*z"3]; —-—- zero dim!
ApproxSolve (L) ;

History

#1 - 19 Jun 2018 16:17 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

Something odd must have happened: ApproxSolve is failing on almost trivial examples.
Here are some simpler failing examples:

ideal (=2*x*y"2 +2*x"2 +3*x*y, -3*y"3 -2*x"2);

ideal (-x"2 +3*x*y -y, -3*y"2 +x)

Maybe there is a problem when (0,0) is a solution?

#2 - 19 Jun 2018 16:25 - John Abbott

It even fails in a univariate case... -3*x"2+2*x.
Investigating...

#3 - 19 Jun 2018 16:32 - John Abbott

Here is a surprise:

RealRoots (x); —--> gives error log(0)
Ulrich has the version from Jan 2018, and his works...
So | must have made a recent change... sigh!

#4 - 19 Jun 2018 16:46 - John Abbott

- Status changed from In Progress to Feedback
- Assignee set to John Abbott

- % Done changed from 10 to 90

The problem was caused by a new better impl of RootBound which can return zero (if arg is just x); the old RootBound could not do this.

Fixed.

#5 - 26 Jul 2018 13:59 - John Abbott

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

- Estimated time set to 0.77 h

Closing
